Bug 1054268 - cinder: Task reporting mechanism
Summary: cinder: Task reporting mechanism
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 4.0
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Eric Harney
QA Contact: nlevinki
URL: https://blueprints.launchpad.net/cind...
Whiteboard: storage upstream_milestone_none upstr...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 14:42 UTC by Dafna Ron
Modified: 2016-04-26 16:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-28 14:00:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dafna Ron 2014-01-16 14:42:15 UTC
Description of problem:


https://blueprints.launchpad.net/cinder/+spec/task-reporting


currently the failure of a task will appear as a change in the volume status (example is this bug: 1254721).
even if a task has failed in pre-run, the volume status will be change to failure as a reporting tool for task status.
I suggest that we either need to to create a task mechanism or change the way tasks are handled in the db so that a task will not effect the status of a volume but will be their own status and be reported back to the user as a start/run/fail/succeed status.
this will free the error status of a volume for the cases where the volume is actually damaged or suspected as such.


Version-Release number of selected component (if applicable):


Please look at bug: 1034251


Note You need to log in before you can comment on or make changes to this bug.